Subject: [v6ops] draft-ietf-v6ops-ivi-icmp-address to BCP

From: "Fred Baker (fred)" <[email-masked]>
Date: Wed, 11 Jul 2012 16:14:40 +0000

Ron:

I have filed this set of remarks on the datatracker, and placed the document into the WG state "submitted to IESG". The following is the WG summary.

Fred

(1) What type of RFC is being requested (BCP, Proposed Standard, Internet Standard, Informational, Experimental, or Historic)? Why is this the proper type of RFC? Is this type of RFC indicated in the title page header?

This document is proposed as a Best Current Practice. The argument for that status is as follows. The original authors, from CERNET, observed an operational problem in their network, which uses a stateful IPv4/IPv6 Translator between an IPv4-only domain (CERNET) and an IPv6-only domain (CERNET2). They considered several options, discussed two options in the working group, and ultimately came to a two-fold recommendation. This recommendation is found in sections 4 and 5 of the document, and has working group consensus as stated. The solution meets an operational need and mitigates user confusion issues in such an environment, has been tested, and provably works.

(2) The IESG approval announcement includes a Document Announcement Write-Up. Please provide such a Document Announcement Write-Up. Recent examples can be found in the "Action" announcements for approved documents. The approval announcement contains the following sections:

Technical Summary

   A stateless IPv4/IPv6 translator may receive ICMPv6 packets
   containing non IPv4-translatable addresses as the source that should
   be passed across the translator as an ICMP packet directed to the
   IPv4-translatable destination.  This document presents
   recommendations for source address translation and original source 
   address transport in ICMPv6 headers for such cases.

Working Group Summary

The working group process was pretty straightforward. The authors brought an initial proposal, which was not accepted, and working group discussion resulted in the document's recommendation. To the shepherd's knowledge, there is no dissent regarding the final recommendation.

Document Quality

There are existing implementations of the procedure and protocol in question. It has been tested in CERNET/CERNET2.

Personnel

Who is the Document Shepherd? Who is the Responsible Area Director?

The Document Shepherd is Fred Baker. The Responsible AD is Ron Bonica.

(3) Briefly describe the review of this document that was performed by the Document Shepherd. If this version of the document is not ready for publication, please explain why the document is being forwarded to the IESG.

The shepherd read the initial document, followed the working group discussion and spoke with the authors privately, and read the ultimate outcome. While the RFC Editor will likely make minor adjustments regarding english prose (the original authors are not native speakers of English), the document is clear and understandable.

(4) Does the document Shepherd have any concerns about the depth or breadth of the reviews that have been performed?

No. The acknowledgements section notes a number of people who have commented or contributed text.

(5) Do portions of the document need review from a particular or from broader perspective, e.g., security, operational complexity, AAA, DNS, DHCP, XML, or internationalization? If so, describe the review that took place.

This is not, in my view, required. The document contains no formal language, and beyond using the ICMP extension documented in RFC 5837 imposes no protocol specifics.

(6) Describe any specific concerns or issues that the Document Shepherd has with this document that the Responsible Area Director and/or the IESG should be aware of? For example, perhaps he or she is uncomfortable with certain parts of the document, or has concerns whether there really is a need for it. In any event, if the WG has discussed those issues and has indicated that it still wishes to advance the document, detail those concerns here.

The shepherd is comfortable with the document, and working group discussion has not surfaced remaining issues.

(7) Has each author confirmed that any and all appropriate IPR disclosures required for full conformance with the provisions of BCP 78 and BCP 79 have already been filed. If not, explain why.

Yes.

(8) Has an IPR disclosure been filed that references this document? If so, summarize any WG discussion and conclusion regarding the IPR disclosures.

Not to my knowledge.

(9) How solid is the WG consensus behind this document? Does it represent the strong concurrence of a few individuals, with others being silent, or does the WG as a whole understand and agree with it?

As noted in the acknowledgements, working group discussion was robust and broad. I would describe this as having broad consensus.

(10) Has anyone threatened an appeal or otherwise indicated extreme discontent? If so, please summarise the areas of conflict in separate email messages to the Responsible Area Director. (It should be in a separate email because this questionnaire is publicly available.)

No.

(11) Identify any ID nits the Document Shepherd has found in this document. (See http://www.ietf.org/tools/idnits/ and the Internet-Drafts Checklist). Boilerplate checks are not enough; this check needs to be thorough.

The idnits tool reports:

  == The document seems to lack the recommended RFC 2119 boilerplate, even if
     it appears to use RFC 2119 keywords -- however, there's a paragraph with
     a matching beginning. Boilerplate error?
     (The document does seem to have the reference to RFC 2119 which the
     ID-Checklist requires).
     
The document contains:

2.  Notational Conventions
   The key words MUST, MUST NOT, REQUIRED, SHALL, SHALL NOT, SHOULD,
   SHOULD NOT, RECOMMENDED, MAY, and OPTIONAL, when they appear in this
   document, are to be interpreted as described in [RFC2119].

(12) Describe how the document meets any required formal review criteria, such as the MIB Doctor, media type, and URI type reviews.

N/A

(13) Have all references within this document been identified as either normative or informative?

The references are all normative, and are listed as such.

(14) Are there normative references to documents that are not ready for advancement or are otherwise in an unclear state? If such normative references exist, what is the plan for their completion?

There are no such references.

(15) Are there downward normative references references (see RFC 3967)? If so, list these downward references to support the Area Director in the Last Call procedure.

The references are all BCPs or Proposed or Draft Standards. There are no downward references as a BCP.

(16) Will publication of this document change the status of any existing RFCs? Are those RFCs listed on the title page header, listed in the abstract, and discussed in the introduction? If the RFCs are not listed in the Abstract and Introduction, explain why, and point to the part of the document where the relationship of this document to the other RFCs is discussed. If this information is not in the document, explain why the WG considers it unnecessary.

This document uses other RFCs, but does not updated them.

(17) Describe the Document Shepherd's review of the IANA considerations section, especially with regard to its consistency with the body of the document. Confirm that all protocol extensions that the document makes are associated with the appropriate reservations in IANA registries. Confirm that any referenced IANA registries have been clearly identified. Confirm that newly created IANA registries include a detailed specification of the initial contents for the registry, that allocations procedures for future registrations are defined, and a reasonable name for the new registry has been suggested (see RFC 5226).

The document doesn't depend on IANA registries or create new ones.

(18) List any new IANA registries that require Expert Review for future allocations. Provide any public guidance that the IESG would find useful in selecting the IANA Experts for these new registries.

N/A

(19) Describe reviews and automated checks performed by the Document Shepherd to validate sections of the document written in a formal language, such as XML code, BNF rules, MIB definitions, etc.

N/A